<?
if (isset($_SESSION['refer']) && $_SESSION['refer'] != NULL && !preg_match('#(rules)|(smiles)|(secure)|(aut)|(reg)|(umenu)|(zakl)|(mail)|(anketa)|(settings)|(avatar)|(info)\.php#',$_SERVER['SCRIPT_NAME']))
$_SESSION['refer'] = NULL;

function otkuda($ref)
{
	if (preg_match('#^/forum/#', $ref))
		$mesto = ' (сидит в <a href="/forum/">форуме</a>) ';
	elseif (preg_match('#^/chat/#', $ref))
		$mesto = ' (в <a href="/chat/">викторине</a>) ';
	elseif (preg_match('#^/news/#', $ref))
		$mesto = ' (читает <a href="/news/">новости</a>) ';
              elseif (preg_match('#^/plugins/sexwar/#', $ref))
		$mesto = ' (в игре <a href="/plugins/sexwar/">война полов</a>) ';
              elseif (preg_match('#^/plugins/games/intuition/#', $ref))
		$mesto = ' (играет в <a href="/plugins/games/intuition/">интуицию</a>) ';
	elseif (preg_match('#^/guest/#', $ref))
		$mesto = ' (сидит в <a href="/guest/">чате</a>) ';
	elseif (preg_match('#^/user/users\.php#', $ref))
		$mesto = ' (cмотрит в <a href="/user/users.php">обитателей</a>) ';
	elseif (preg_match('#^/online\.php#', $ref))
		$mesto = ' (cмотрит кто <a href="/online.php">онлайн</a>) ';
	elseif (preg_match('#^/online_g\.php#', $ref))
		$mesto = ' (cмотрит кто в <a href="/online_g.php">гостях</a>) ';
	elseif (preg_match('#^/reg\.php#', $ref))
		$mesto = ' (хочет <a href="/reg.php">зарегистрироваться</a>) ';
              elseif (preg_match('#^/TV\.php#', $ref))
		$mesto = ' (cмотрит онлайн <a href="/TV.php">TV</a>) ';
              elseif (preg_match('#^/mail\.php#', $ref))
		$mesto = ' (в почте) ';
              elseif (preg_match('#^/user/info/anketa\.php#', $ref))
		$mesto = ' (в анкете) ';
              elseif (preg_match('#^/user/info/edit\.php#', $ref))
		$mesto = ' (заполняет анкету) ';
              elseif (preg_match('#^/foto/#', $ref))
		$mesto = ' (в фото) ';
              elseif (preg_match('#^/plugins/smiles/#', $ref))
		$mesto = ' (смотрит смайлы) ';
              elseif (preg_match('#^/user/personalfiles/#', $ref))
		$mesto = ' (в файлах) ';
              elseif (preg_match('#^/konts\.php#', $ref))
		$mesto = ' (смотрит контакты) ';
              elseif (preg_match('#^/new_mess\.php#', $ref))
		$mesto = ' (читает сообщения) ';
              elseif (preg_match('#^/user/frends/#', $ref))
		$mesto = ' (в друзьях) ';
              elseif (preg_match('#^/user/bookmark/#', $ref))
		$mesto = ' (в закладках) ';
              elseif (preg_match('#^/user/tape/#', $ref))
		$mesto = ' (в ленте) ';
              elseif (preg_match('#^/user/discussions/#', $ref))
		$mesto = ' (читает обсуждения) ';
              elseif (preg_match('#^/user/notification/#', $ref))
		$mesto = ' (в уведомлениях) ';
              elseif (preg_match('#^/info\.php#', $ref))
		$mesto = ' (на своей страничке) ';
              elseif (preg_match('#^/user/money/#', $ref))
		$mesto = ' (переводит монеты) ';
              elseif (preg_match('#^/info/#', $ref))
		$mesto = ' (читает справку) ';
              elseif (preg_match('#^/TV\.php#', $ref))
		$mesto = ' (смотрит Online Tv) ';
              elseif (preg_match('#^/user/love/#', $ref))
		$mesto = ' (в знакомствах) ';
              elseif (preg_match('#^/user/status/komm\.php#', $ref))
		$mesto = ' (комментирует статус) ';
              elseif (preg_match('#^/user/status/#', $ref))
		$mesto = ' (читает статус) ';
              elseif (preg_match('#^/plugins/notes/#', $ref))
		$mesto = ' (читает дневники) ';
	elseif (preg_match('#^/obmen/#', $ref))
		$mesto = ' (cидит в <a href="/obmen/">зоне обмена</a>) ';
	elseif (preg_match('#^/aut\.php#', $ref))
		$mesto = ' (хочет <a href="/aut.php">авторизоваться</a>) ';
	elseif (preg_match('#^/index\.php#', $ref))
		$mesto = ' (на <a href="/index.php">главной</a>) ';
	elseif (preg_match('#^/\??$#', $ref))
		$mesto = ' (на <a href="/index.php">главной</a>) ';
	else
		$mesto = ' (где то <a href="/index.php">на сайте</a>) ';
	return $mesto;
}


?>